---
title: overscroll-behavior-y
slug: Web/CSS/overscroll-behavior-y
tags:
  - CSS
  - CSS Box Model
  - CSS Property
  - Reference
  - overscroll-behavior-y
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>overscroll-behavior-y</code></strong> CSS property sets the browser's behavior when the vertical boundary of a scrolling area is reached.</span></p>

<p>See {{cssxref("overscroll-behavior")}} for a full explanation.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
overscroll-behavior-y: auto; /* default */
overscroll-behavior-y: contain;
overscroll-behavior-y: none;

/* Global values */
overscroll-behavior-y: inherit;
overscroll-behavior-y: initial;
overscroll-behavior-y: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>overscroll-behavior-y</code> property is specified as a keyword chosen from the list of values below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The default scroll overflow behavior occurs as normal.</dd>
 <dt><code>contain</code></dt>
 <dd>Default scroll overflow behavior is observed inside the element this value is set on (e.g. "bounce" effects or refreshes), but no scroll chaining occurs to neighbouring scrolling areas, e.g. underlying elements will not scroll.</dd>
 <dt><code>none</code></dt>
 <dd>No scroll chaining occurs to neighbouring scrolling areas, and default scroll overflow behavior is prevented.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Preventing_an_underlying_element_from_scrolling_vertically">Preventing an underlying element from scrolling vertically</h3>

<pre class="brush: css notranslate">.messages {
  height: 220px;
  overflow: auto;
  overscroll-behavior-y: contain;
} </pre>

<p>See {{cssxref("overscroll-behavior")}} for a full example and explanation.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Overscroll Behavior', '#propdef-overscroll-behavior-y', 'overscroll-behavior-y')}}</td>
   <td>{{Spec2('CSS Overscroll Behavior')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.overscroll-behavior-y")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://developers.google.com/web/updates/2017/11/overscroll-behavior#demo">Take control of your scroll: customizing pull-to-refresh and overflow effects</a></li>
 <li>The mapped logical properties: {{cssxref("overscroll-behavior-inline")}}, {{cssxref("overscroll-behavior-block")}}</li>
</ul>
